Name:       GetPCLOS
Version:    1.0
Release:    %mkrel 1
Summary:    Download PCLinuxOS ISOs
Summary(de): none
Source:     GetPCLOS.tar.xz   
Group:      Graphical desktop/Other
License:    GPLv3 
URL:        http://www.pclinuxos.com/
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot 
BuildArch:  noarch
Requires:   bash
Requires:   yad 
Requires:   wget
Requires:   pclinuxos-release
Obsoletes:	GetPCLOS
Provides:   GetPCLOS = %version-%release

%description
GetPCLOS is a simple utility to list and download PCLOS ISOs from the repository.
By default it will connect to the users selected mirror if it is a valid URL.
If it has a problem with the default mirror it selects NLUUG as the default.
The user can also select a preferred mirror for the download should they wish.

%description -l de 
none

%prep
%setup -qnGetPCLOS 

%build

%install
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 755 GetPCLOS %{buildroot}/%{_bindir}/GetPCLOS

mkdir -p %{buildroot}%{_datadir}/applications
install -m 755 GetPCLOS.desktop %{buildroot}%{_datadir}/applications/GetPCLOS.desktop

mkdir -p %{buildroot}%{_datadir}/icons/GetPCLOS
install -m 0644 download-black-bull.png %{buildroot}%{_datadir}/icons/GetPCLOS/download-black-bull.png

install -m 0644 mini-black-bull.png %{buildroot}%{_datadir}/icons/GetPCLOS/mini-black-bull.png

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files 
%{_bindir}/GetPCLOS
%{_datadir}/applications/GetPCLOS.desktop
%{_datadir}/icons/GetPCLOS/download-black-bull.png
%{_datadir}/icons/GetPCLOS/mini-black-bull.png


%changelog
* Thu Jul 28 2017  <clareoldie at gmail.com> 0.3-1pclos2017 Added Mirror selection, new icons and save defaults.
* Mon Jul 10 2017  <clareoldie at gmail.com> 0.2-1pclos2017
- create pkg

